umbrello: FindDialog Class Reference

umbrello 2.32.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Private Slots | List of all members
FindDialog Class Reference

`#include <finddialog.h>`

Inheritance diagram for FindDialog:

## Public Member Functions
| FindDialog (QWidget *parent=0)
| ~FindDialog ()
QString | text ()
UMLFinder::Filter | filter ()
UMLFinder::Category | category ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()

## Protected Member Functions
void | showEvent (QShowEvent *event)
Protected Member Functions inherited from SinglePageDialogBase
virtual bool | validate ()

## Private Slots
void | slotFilterButtonClicked (int button)

## Additional Inherited Members
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()

## Detailed Description

Class FindDialog provides the ui part for selecting find attributes.

Author
  : Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ FindDialog()

FindDialog::FindDialog | ( | QWidget * | parent = `0` | ) |
| explicit

## ◆ ~FindDialog()

FindDialog::~FindDialog | ( |  | ) |

## Member Function Documentation

## ◆ category()

UMLFinder::Category FindDialog::category | ( |  | ) |

Return user selected category.

Returns
  category enum

## ◆ filter()

UMLFinder::Filter FindDialog::filter | ( |  | ) |

Return user selected filter.

Returns
  filter enum

## ◆ showEvent()

void FindDialog::showEvent | ( | QShowEvent * | event | ) |
| protected

Override default event handler for show event.

Parameters

  event |

## ◆ slotFilterButtonClicked

void FindDialog::slotFilterButtonClicked | ( | int | button | ) |
| privateslot

Handles filter radio button group click.

Parameters

  button | (-2=Treeview,-3,-4)

## ◆ text()

QString FindDialog::text | ( |  | ) |

return entered text.

Returns
  text

The documentation for this class was generated from the following files:

- umbrello/dialogs/finddialog.h
- umbrello/dialogs/finddialog.cpp